%global namedreltag .GA
%global namedversion %{version}%{?namedreltag}

Name:             jboss-vfs
Version:          3.0.1
Release:          %mkrel 2
Summary:          JBoss Virtual File System
Group:            Development/Java
License:          LGPLv2+
URL:              https://github.com/jbossas/jboss-vfs/

# git clone git://github.com/jbossas/jboss-vfs.git
# cd jboss-vfs && git archive --format=tar --prefix=jboss-vfs-3.0.1.GA/ 3.0.1.GA | xz > jboss-vfs-3.0.1.GA.tar.xz
Source0:          %{name}-%{namedversion}.tar.xz
Patch0:           %{name}-%{namedversion}-pom.patch

BuildArch:        noarch

BuildRequires:    jpackage-utils
BuildRequires:    java-devel
BuildRequires:    maven
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-release-plugin
BuildRequires:    maven-resources-plugin
BuildRequires:    maven-surefire-plugin
BuildRequires:    maven-surefire-provider-junit4
BuildRequires:    jboss-logging
BuildRequires:    junit4
BuildRequires:    jboss-parent

Requires:         jboss-logging
Requires:         jpackage-utils
Requires:         java

%description
This package contains the JBoss Virtual File System.

%package javadoc
Summary:          Javadocs for %{name}
Group:            Development/Java
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}
%patch0 -p1

rm -rf .classpath archives/ .project

%build
# Skipped because jboss-test is not packaged already
mvn-rpmbuild install -Dmaven.test.skip=true javadoc:aggregate

%install
rm -fr %buildroot
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/jboss
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}

# JAR
install -pm 644 target/%{name}-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/jboss/%{name}.jar

# POM
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jboss-%{name}.pom
%add_maven_depmap JPP.jboss-%{name}.pom jboss/%{name}.jar

# APIDOCS
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*
%doc

%files javadoc
%{_javadocdir}/%{name}



%changelog

* Sat Jan 12 2013 umeabot <umeabot> 3.0.1-2.mga3
+ Revision: 355179
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 05 2011 dmorgan <dmorgan> 3.0.1-1.mga2
+ Revision: 131967
- Fix typo
- Sync with fedora

  + gil <gil>
    - imported package jboss-vfs

